Bug 1275430 - Monitor configuration is not preserved when docking a Lenovo X1 Carbon back to OneLink Dock
Monitor configuration is not preserved when docking a Lenovo X1 Carbon back t...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
22
Unspecified Linux
unspecified Severity medium
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-26 17:41 EDT by Benjamin Xiao
Modified: 2016-07-19 15:58 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 15:58:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Benjamin Xiao 2015-10-26 17:41:53 EDT
Description of problem:
I have a Lenovo X1 Carbon and a Onelink Pro Dock with two external monitors connected. I have my monitor configuration laid out such that my two external monitors are side by side and my laptop display is right underneath them in the middle. Everytime I undock and redock my laptop, the monitor configuration is reset to defaults. My monitors are laid out in a line and the resolutions are set to native. This issue didn't used to happen until about a month ago.


If I boot the laptop with it already connected to the dock, the monitor configuration is properly restored. The wrong behavior only seems to happen when undocking and redocking the laptop

Version-Release number of selected component (if applicable):
Up to date Fedora 22

How reproducible:
Everytime


Steps to Reproduce:
1. Connect a Lenovo X1 carbon to a OneLink Pro dock
2. Connect two external monitors to the dock
3. Layout monitor configuration with external monitors side by side and laptop display underneathe in the middle.
4. Disconnect dock
5. Reconnect dock

Actual results:
Monitor configuration is reset to defaults

Expected results:
Monitor configuration should be preserved during redocking

Additional info:

I have not tested this in other multi-monitor configurations without the OneLink Pro Dock, so I am not sure if its hardware specific or not.
Comment 1 Lucas Costi 2015-11-22 18:28:56 EST
I am also having the same issue.

Fedora 22 using Cinnamon on a Lenovo T450s, and a Lenovo dock. I am using the laptop display, and an additional Samsung display. 

After undocking and redocking, my display settings are reset.

Specifically, it forgets the layout of the displays, and forgets that the Samsung is the primary display.
Comment 2 Benjamin Xiao 2015-11-23 19:43:54 EST
Also present in Fedora 23.
Comment 3 rhartman 2016-04-21 12:24:40 EDT
+1 Also experiencing on Fedora 22
Comment 4 Fedora End Of Life 2016-07-19 15:58:22 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.